Package fr.gouv.vitam.logbook.administration.core

# Class LogbookTraceabilityIterator

java.lang.Object
fr.gouv.vitam.logbook.administration.core.LogbookTraceabilityIterator

All Implemented Interfaces:
  `TraceabilityIterator<LogbookOperation>`, `Iterator<LogbookOperation>`

public class LogbookTraceabilityIterator extends Object implements TraceabilityIterator<LogbookOperation>
traceability iterator for LogbookOperation

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LogbookTraceabilityIterator(com.mongodb.client.MongoCursor<LogbookOperation> mongoCursor)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getNumberOfLines()`
  Warning: This method should only calculate the iterated data.
  `boolean`
  `hasNext()`
  Returns `true` if the iteration has more elements.
  `LogbookOperation`
  `next()`
  Returns the next element in the iteration.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Iterator

  `forEachRemaining, remove`

- ## Constructor Details

  - ### LogbookTraceabilityIterator

    public LogbookTraceabilityIterator(com.mongodb.client.MongoCursor<LogbookOperation> mongoCursor)
    Parameters:
      `mongoCursor` - of logbook operation

- ## Method Details

  - ### hasNext

    public boolean hasNext()
    Returns `true` if the iteration has more elements. (In other words, returns `true` if `next()` would return an element rather than throwing an exception.)
    Specified by:
      `hasNext` in interface `Iterator<LogbookOperation>`
    Returns:
      `true` if the iteration has more elements

  - ### next

    public LogbookOperation next()
    Returns the next element in the iteration.
    Specified by:
      `next` in interface `Iterator<LogbookOperation>`
    Returns:
      the next element in the iteration

  - ### getNumberOfLines

    public long getNumberOfLines()
    Description copied from interface: `TraceabilityIterator`
    Warning: This method should only calculate the iterated data. The real result should be found when no "hasNext()" item left
    Specified by:
      `getNumberOfLines` in interface `TraceabilityIterator<LogbookOperation>`
    Returns:
      size of the iterator